import { Observable } from 'rxjs';
export interface PickerCell {
    value: string | number;
    text: string | number;
    disabled?: boolean;
    readonly?: boolean;
    children?: Array<PickerCell>;
}
export declare class PickerService {
    onShow: Observable<void>;
    onScroll: Observable<boolean>;
    private showEvent;
    private scrollEvent;
    constructor();
    show(): void;
    scroll(b: boolean): void;
}
